<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class tecnico extends base{
	public function __construct($campos=array()){
		parent::__construct();
		$this->tabela = "resptecnico";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"ret_nome" => NULL,
				"ret_ativo" => NULL,
				"ret_assinatura" => NULL,
				"ret_id" => NULL,
				"ret_renasem" => NULL,
				"ret_crea" => NULL,
				"ret_municipio" => NULL,
				"ret_cargo" => NULL,
				"ret_endereco" => NULL,
				"ret_cpf" => NULL,
				"ret_telefone" => NULL,
				"ret_email" => NULL,
				"ret_cep" => NULL,
				"ret_funcao" => NULL,
			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "ret_id";
	}
    
    public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>